/****************************
 * Common
****************************/
/* open/close */
html:not(.menu-open) .bb-menu-mobile {visibility:hidden; opacity:0;}
html:not(.menu-open) .bb-menu-mobile-container {transform:translateX(-105%);}

/* wrapper */
[data-menu*="default"][data-menu*="mobile"] {display:block;}
.bb-menu-mobile-container {
    width:100%; max-width:var(--bb-mobile-menu-width); padding:var(--bb-header-height) 0 100px;
}
.bb-menu-mobile-container:after {
    content:""; display:block;
    width:1px; height:75px; background:var(--bb-color-primary);
    position:absolute; bottom:0; left:50%; transform:translateX(-50%);
}
.bb-menu-mobile-inner {height:100%;}

/* close layer */
.bb-menu-mobile__close {background:rgba(0, 0, 0, .3);}

/* sections */
.bb-menu-mobile__section {padding:var(--bb-gap-container);}

/* Accordion Button */
.open-sub-menu {background:none; padding:5px;}
.open-sub-menu.active {transform:rotate(180deg);}
.open-sub-menu.active, .open-sub-menu:hover {color:var(--bb-color-primary);}

/****************************
 * Menu
****************************/
/* Common Menu */
.mobile-menu ul > li:not(:last-child) {margin-bottom:10px;}
.mobile-menu ul {list-style:none; margin:0;}
.mobile-menu ul > li {padding:0;}
.mobile-menu ul > li > a {
    position:relative; display:block;
    padding:5px 0; text-decoration:none; text-align:center;
    font-size:25px; font-weight:500; color:#fff;
}
.mobile-menu ul > li[class*="current-"] > a,
.mobile-menu ul > li > a:hover, .mobile-menu ul > li > a:focus {color:var(--bb-color-primary);}

/* Common Sub Menu */
.mobile-menu ul.sub-menu {width:100%;}
.mobile-menu ul.sub-menu li:last-child {margin-bottom:5px;}
.mobile-menu ul.sub-menu > li:first-child {padding-top:5px;}
.mobile-menu ul.sub-menu > li:not(:last-child) {margin-bottom:5px;}
.mobile-menu ul.sub-menu > li > a {font-size:20px;}


/* Menu level 3 */
.mobile-menu ul.sub-menu ul.sub-menu > li:first-child {padding-top:0;}
.mobile-menu ul.sub-menu ul.sub-menu > li:not(:last-child) {margin-bottom:0;}
.mobile-menu ul.sub-menu ul.sub-menu > li > a {font-size:16px;}


/****************************
 * Menu Has Child
****************************/
.menu-item-has-children {display:flex; flex-wrap:wrap; justify-content:center; position:relative;}
.menu-item-has-children > a {order:1; max-width:calc(100% - 32px);}
.menu-item-has-children > .menu-item-arrow {
    order:2; width:32px;
    display:flex; justify-content:flex-end; align-items:center;
}
.menu-item-has-children > ul {order:3; width:100%;}

/* Arrow button */
.menu-item-arrow {text-align:right;}
.menu-item-arrow__button {
    font-size:12px; padding:10px 5px 5px;
    background:transparent; color:#fff;
}
.menu-item-arrow__button i {display:inline-block; transition:transform .3s ease;}
.menu-item-arrow__button.active i {transform:rotate(180deg);}

/****************************
 * Mobile Menu Responsive
****************************/
@media only screen and (max-width:1180px) {
    html.menu-open {overflow:hidden; height:100%;}
    .bb-menu-mobile.hidden {display:block;}
}

@media only screen and (max-width:480px) {
    .bb-menu-mobile-container {max-width:unset;}
    html.menu-open body.menu-sticky.scroll-middle [data-menu*="sticky"] {background:rgba(0, 0, 0, 0);}
}